class ActionButton:
	def __init__(self,buttonImage,handler,enabled=True): #handler is a function with 1 argument - unit
		self.__button = buttonImage
		self.__handler = handler
		self.__enabled = enabled
	def getButton(self):
		return self.__button
	def getHandler(self):
		return self.__handler
	def getEnabled(self):
		return self.__enabled
	def setEnabled(self,enabled):
		self.__enabled = enabled
def emptyList(unit):
	return []
buttonsFunction = emptyList 

def setButtonsFunction(function): # function is a function that takes 1 argument, a CyUnit
	global buttonsFunction
	buttonsFunction=function
def getButtons(unit):
	global buttonsFunction
	return buttonsFunction(unit)
	
#### private functions
_buttonDict={}
def _setButtonDict(dict):
	global _buttonDict
	_buttonDict=dict
def _getButtonFromAction(iAction):
	global _buttonDict
	return _buttonDict.get(iAction)